---
title: Monitor Databases
url: https://docs.vultr.com/products/storage/databases/mysql/management/monitor-databases
description: Learn how to monitor Vultr Managed Databases for MySQL to track resource usage, detect performance issues, and make informed scaling decisions.
publish_date: 2024-09-23T20:21:32.540642Z
last_updated: 2026-05-26T19:44:46.280387Z
---

# How to Monitor Vultr Managed Databases for MySQL

Monitoring Vultr Managed Databases for MySQL allows you to view the monthly charges, vCPU, memory, disk, and network usage. Checking your managed database stats provides insight that can help you scale your database, detect performance issues, establish robust backup schedules, and more.

Follow this guide to monitor Vultr Managed Databases for MySQL using Vultr Console, API, and CLI.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Click the target database instance.
    1. View the database instance summary by clicking **Overview**.
    1. Click **Usage Graphs** to view **vCPU usage**.
    1. View the **Disk Operations** and **Network**.

=== "Vultr API"

    1. List all the database instances by sending a `GET` request to the [**List Managed Databases** endpoint ](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the database ID. For example, `43b4c774-5dff-4ac0-a01f-78a23c2205b5`.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**Get Database Usage Information** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database-usage) and specify the database ID to retrieve the database instance usage information. The information includes disk, memory, and vCPU usage.

        ```console
        $ curl "https://api.vultr.com/v2/databases/database_id/usage" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Get Database Usage Information** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database-usage) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all database instances and note the database ID. For instance, `d6ac2a3c-92ea-43ef-8185-71a23e58ad8c`.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. List the database usage information by specifying a database ID.

        ```console
        $ vultr-cli database usage get database_id
        ```

        Run `vultr-cli database usage --help` to view all options.
